var react = require('react');

var index = (function () {
  var _useState = react.useState(document.hasFocus()),
      focused = _useState[0],
      setFocused = _useState[1];

  react.useEffect(function () {
    var onFocus = function onFocus() {
      setFocused(true);
    };

    var onBlur = function onBlur() {
      setFocused(false);
    };

    window.addEventListener('focus', onFocus);
    window.addEventListener('blur', onBlur);
    return function () {
      window.removeEventListener('focus', onFocus);
      window.removeEventListener('blur', onBlur);
    };
  }, []);
  return focused;
});

module.exports = index;
//# sourceMappingURL=index.js.map
